package ejb31.war.servlet;

import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;
import javax.ejb.EJB;

public class LogInterceptor {

    @EJB MessageBean msg;
    String MESSAGE = "Log";

    @AroundInvoke
    public Object log(InvocationContext ctx) throws Exception {

        if (msg != null && !msg.getMessage().contains(MESSAGE)){
	    msg.appendMessage(MESSAGE);
	}

        System.out.println("*** DEFAULT log Interceptor invoked for " +ctx.getTarget()+" ***");   
        return ctx.proceed();
         
    }
}
